"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAbortSignal = useAbortSignal;
exports.getMapKey = getMapKey;
/**
 * 获取AbortController
 * @returns
 */
function useAbortSignal() {
    const controller = new AbortController();
    const signal = controller.signal;
    return {
        controller,
        signal,
        abort: () => controller.abort(),
    };
}
/**
 * 获取一个Map key
 * @param config
 * @returns
 */
function getMapKey(config) {
    return `${config.baseURL}${config.url}_${config.method}`;
}
